#include <iostream>

using namespace std;

int main()
{
    long long int a, b, x, y;
    scanf("%d%d", &a, &b);
    scanf("%d%d", &x, &y);
    if(a==x && b==y)
    {
        printf("nijedan");
    }
    else if(a==x && b!=y)
    {
        printf("drugi");
    }
    else if(b==y && a!=x)
    {
        printf("prvi");
    }
    else if(a!=x && b!=y)
    {
        printf("?");
    }
    return 0;
}